Show ‘n Tell Thursday: Configuring Ubuntu for Notes 8 plugin development (2 April 2009)


This weeks SnTT post is about configuring Eclipse on Ubuntu 8.0.4 for Notes plug-in development. I use Notes 8.5 but it should work equally well for Notes 8.0.x clients. Wan’t to develop plug-ins? Well read on and do it on Ubuntu. Notes 8.x runs freakishly fast on Ubuntu. Read on…

Actually this is a cheat post as the steps are almost the same as for doing it on Windows. Most of the stuff has to do with platform differences. My post for doing it on Windows is here. I have updated this guide with steps for Linux. Enjoy!!

Installing Domino 7.0.2 on Ubuntu 6.06 LTS

I have been trying to get Domino 7.0.2 running on Ubuntu 6.06 LTS but without success. Based on miscellaneous postings on the web I manage to work out a partial solution.

The process has been as follows:

  1. Install Ubuntu
  2. No SSH support out of the box (apt-get install openssh-server)
  3. Unable to complete install due to missing C-library (apt-get install libstdc++5, ldconfig)
  4. Configure server using remote install
  5. Launch server only to see funky nsd.sh errors on the console but it was solved using approach found on notes.net.
    • apt-get install gawk <– did not work
    • edit line 86 /opt/ibm/lotus/notes/70020/linux/nsd.sh = “Linux) Awk=$(where gawk);;” –> “Linux) Awk=$(where awk);;”
    • <restart domino server>

The above process got Domino to start successful but now I’m seeing an error on HTTP task startup (java.lang.UnstatisfiedLinkError: libawt.so) which I have been unable to solve. I found a possible solution on notes.net but since there’s no deprecated X11 package that I could find for Ubunto I’m at a loss.

Gotta hit Google unless anyone has some clever ideas…